Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1413240 - splitting the theme packages into gtk2, gtk3, etc.
Summary: splitting the theme packages into gtk2, gtk3, etc.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: arc-theme
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-14 01:53 UTC by Mukundan Ragavan
Modified: 2017-01-30 22:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-30 01:52:57 UTC
Type: Bug


Attachments (Terms of Use)
specile for arc-theme showing split packages (2.90 KB, text/x-matlab)
2017-01-14 01:53 UTC, Mukundan Ragavan
no flags Details

Description Mukundan Ragavan 2017-01-14 01:53:56 UTC
Created attachment 1240602 [details]
specile for arc-theme showing split packages

arc-theme as packaged is a single package containing all themes. It would be better to package it with subpackages containing

-gtk2
-gtk3
-cinnamon
-xfwm4
-gnome-shell

etc.


Please consider using the attached spec file as source. I made this for my COPR repo sometime ago.

Comment 1 Björn 'besser82' Esser 2017-01-29 22:28:52 UTC
Well, what would be the real benefit of it?

Currently I'm packaging all themes (transparent and solid) in one package using roughly 700 k to download and less than 3 M to install.  If I'd split everything in sub-packages, I could not use softlinking that easy and installation and download sizes would increase a lot…

Comment 2 Björn 'besser82' Esser 2017-01-29 23:12:32 UTC
Maybe I could add a 'meta'-subpackage for the dependencies needed for GNOME and GTK themes, so they would not be in the main-pkg anymore.  This would reduce the download-size for people not using GNOME / GTK themes of this…

Comment 3 Mukundan Ragavan 2017-01-30 00:26:11 UTC
(In reply to Björn "besser82" Esser from comment #1)
> Well, what would be the real benefit of it?
> 


The primary benefit is less system clutter. For example, I do not run cinnamon and gnome-shell and have no real reason to install the corresponding themes.

The way I have written the spec file splits corresponding themes and you can "pick and choose" what you want ... I only have -gtk2, -gtk3 and xfwm4 on my system.

Comment 4 Björn 'besser82' Esser 2017-01-30 01:52:57 UTC
Since symlinking most of the files in the package reduces most of the clutter and saves disk-space compared to split packages, I'll close this.

Comment 5 Mukundan Ragavan 2017-01-30 22:48:49 UTC
Well ... I do not understand how downloading everything I do not want reduces anything. That said, I am not going to push this further. This is your package.

Thanks for the replies though.


Note You need to log in before you can comment on or make changes to this bug.